-------------------------------------------------------------------------------
-- ofdm_pktdetector_mimo_opbw_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library ofdm_pktDetector_mimo_opbw;
use ofdm_pktDetector_mimo_opbw.All;

entity ofdm_pktdetector_mimo_opbw_0_wrapper is
  port (
    ce : in std_logic;
    opb_abus : in std_logic_vector(0 to 31);
    opb_be : in std_logic_vector(0 to 3);
    opb_clk : in std_logic;
    opb_dbus : in std_logic_vector(0 to 31);
    opb_rnw : in std_logic;
    opb_rst : in std_logic;
    opb_select : in std_logic;
    opb_seqaddr : in std_logic;
    reset : in std_logic;
    rssi1 : in std_logic_vector(0 to 9);
    rssi2 : in std_logic_vector(0 to 9);
    rssi3 : in std_logic_vector(0 to 9);
    rssi4 : in std_logic_vector(0 to 9);
    avgrssi1 : out std_logic_vector(0 to 15);
    avgrssi2 : out std_logic_vector(0 to 15);
    avgrssi3 : out std_logic_vector(0 to 15);
    avgrssi4 : out std_logic_vector(0 to 15);
    debugbusy : out std_logic;
    debugidledifs : out std_logic;
    idlefordifs : out std_logic;
    mediumbusy : out std_logic;
    pktdet : out std_logic;
    rssi_clk_out : out std_logic;
    sgp_dbus : out std_logic_vector(0 to 31);
    sgp_errack : out std_logic;
    sgp_retry : out std_logic;
    sgp_toutsup : out std_logic;
    sgp_xferack : out std_logic
  );
  attribute x_core_info : STRING;
  attribute x_core_info of ofdm_pktdetector_mimo_opbw_0_wrapper: entity is "ofdm_pktDetector_mimo_opbw_v";

end ofdm_pktdetector_mimo_opbw_0_wrapper;

architecture STRUCTURE of ofdm_pktdetector_mimo_opbw_0_wrapper is

  component ofdm_pktdetector_mimo_opbw is
    generic (
      C_BASEADDR : std_logic_vector(0 to 31);
      C_HIGHADDR : std_logic_vector(0 to 31);
      C_OPB_AWIDTH : INTEGER;
      C_OPB_DWIDTH : INTEGER
    );
    port (
      ce : in std_logic;
      opb_abus : in std_logic_vector(0 to 31);
      opb_be : in std_logic_vector(0 to 3);
      opb_clk : in std_logic;
      opb_dbus : in std_logic_vector(0 to 31);
      opb_rnw : in std_logic;
      opb_rst : in std_logic;
      opb_select : in std_logic;
      opb_seqaddr : in std_logic;
      reset : in std_logic;
      rssi1 : in std_logic_vector(0 to 9);
      rssi2 : in std_logic_vector(0 to 9);
      rssi3 : in std_logic_vector(0 to 9);
      rssi4 : in std_logic_vector(0 to 9);
      avgrssi1 : out std_logic_vector(0 to 15);
      avgrssi2 : out std_logic_vector(0 to 15);
      avgrssi3 : out std_logic_vector(0 to 15);
      avgrssi4 : out std_logic_vector(0 to 15);
      debugbusy : out std_logic;
      debugidledifs : out std_logic;
      idlefordifs : out std_logic;
      mediumbusy : out std_logic;
      pktdet : out std_logic;
      rssi_clk_out : out std_logic;
      sgp_dbus : out std_logic_vector(0 to 31);
      sgp_errack : out std_logic;
      sgp_retry : out std_logic;
      sgp_toutsup : out std_logic;
      sgp_xferack : out std_logic
    );
  end component;

begin

  ofdm_pktdetector_mimo_opbw_0 : ofdm_pktdetector_mimo_opbw
    generic map (
      C_BASEADDR => X"7a800000",
      C_HIGHADDR => X"7a80ffff",
      C_OPB_AWIDTH => 32,
      C_OPB_DWIDTH => 32
    )
    port map (
      ce => ce,
      opb_abus => opb_abus,
      opb_be => opb_be,
      opb_clk => opb_clk,
      opb_dbus => opb_dbus,
      opb_rnw => opb_rnw,
      opb_rst => opb_rst,
      opb_select => opb_select,
      opb_seqaddr => opb_seqaddr,
      reset => reset,
      rssi1 => rssi1,
      rssi2 => rssi2,
      rssi3 => rssi3,
      rssi4 => rssi4,
      avgrssi1 => avgrssi1,
      avgrssi2 => avgrssi2,
      avgrssi3 => avgrssi3,
      avgrssi4 => avgrssi4,
      debugbusy => debugbusy,
      debugidledifs => debugidledifs,
      idlefordifs => idlefordifs,
      mediumbusy => mediumbusy,
      pktdet => pktdet,
      rssi_clk_out => rssi_clk_out,
      sgp_dbus => sgp_dbus,
      sgp_errack => sgp_errack,
      sgp_retry => sgp_retry,
      sgp_toutsup => sgp_toutsup,
      sgp_xferack => sgp_xferack
    );

end architecture STRUCTURE;

