//-----------------------------------------------------------------------------
// radio_bridge_slot_1_wrapper.v
//-----------------------------------------------------------------------------

module radio_bridge_slot_1_wrapper
  (
    user_ADC_I,
    user_ADC_Q,
    user_DAC_I,
    user_DAC_Q,
    user_RxRF_gain,
    user_RxBB_gain,
    user_Tx_gain,
    user_TxModelStart,
    user_RSSI_ADC_clk,
    user_RSSI_ADC_D,
    user_EEPROM_IO_T,
    user_EEPROM_IO_O,
    user_EEPROM_IO_I,
    user_SHDN_external,
    user_RxEn_external,
    user_TxEn_external,
    user_RxHP_external,
    converter_clock_in,
    converter_clock_out,
    radio_RSSI_ADC_clk,
    radio_DAC_I,
    radio_DAC_Q,
    radio_ADC_I,
    radio_ADC_Q,
    radio_B,
    radio_ANTSW,
    radio_LED,
    radio_DIPSW,
    radio_RSSI_ADC_D,
    radio_EEPROM_IO,
    radio_spi_clk,
    radio_spi_data,
    radio_spi_cs,
    radio_SHDN,
    radio_TxEn,
    radio_RxEn,
    radio_RxHP,
    radio_24PA,
    radio_5PA,
    radio_RX_ADC_DCS,
    radio_RX_ADC_DFS,
    radio_RX_ADC_PWDNA,
    radio_RX_ADC_PWDNB,
    radio_RSSI_ADC_CLAMP,
    radio_RSSI_ADC_HIZ,
    radio_RSSI_ADC_SLEEP,
    radio_LD,
    radio_RX_ADC_OTRA,
    radio_RX_ADC_OTRB,
    radio_RSSI_ADC_OTR,
    radio_DAC_PLL_LOCK,
    radio_DAC_RESET,
    controller_spi_clk,
    controller_spi_data,
    controller_radio_cs,
    controller_dac_cs,
    controller_SHDN,
    controller_TxEn,
    controller_RxEn,
    controller_RxHP,
    controller_24PA,
    controller_5PA,
    controller_ANTSW,
    controller_LED,
    controller_RX_ADC_DCS,
    controller_RX_ADC_DFS,
    controller_RX_ADC_PWDNA,
    controller_RX_ADC_PWDNB,
    controller_RSSI_ADC_CLAMP,
    controller_RSSI_ADC_HIZ,
    controller_RSSI_ADC_SLEEP,
    controller_DIPSW,
    controller_RSSI_ADC_D,
    controller_LD,
    controller_RX_ADC_OTRA,
    controller_RX_ADC_OTRB,
    controller_RSSI_ADC_OTR,
    controller_DAC_PLL_LOCK,
    controller_DAC_RESET,
    controller_TxStart,
    dac_spi_data,
    dac_spi_cs,
    dac_spi_clk,
    controller_SHDN_external,
    controller_RxEn_external,
    controller_TxEn_external,
    controller_RxHP_external
  );
  output [0:13] user_ADC_I;
  output [0:13] user_ADC_Q;
  input [0:15] user_DAC_I;
  input [0:15] user_DAC_Q;
  input [0:1] user_RxRF_gain;
  input [0:4] user_RxBB_gain;
  input [0:5] user_Tx_gain;
  output user_TxModelStart;
  input user_RSSI_ADC_clk;
  output [0:9] user_RSSI_ADC_D;
  input user_EEPROM_IO_T;
  input user_EEPROM_IO_O;
  output user_EEPROM_IO_I;
  input user_SHDN_external;
  input user_RxEn_external;
  input user_TxEn_external;
  input user_RxHP_external;
  input converter_clock_in;
  output converter_clock_out;
  output radio_RSSI_ADC_clk;
  output [15:0] radio_DAC_I;
  output [15:0] radio_DAC_Q;
  input [13:0] radio_ADC_I;
  input [13:0] radio_ADC_Q;
  output [6:0] radio_B;
  output [1:0] radio_ANTSW;
  output [2:0] radio_LED;
  input [3:0] radio_DIPSW;
  input [9:0] radio_RSSI_ADC_D;
  inout radio_EEPROM_IO;
  output radio_spi_clk;
  output radio_spi_data;
  output radio_spi_cs;
  output radio_SHDN;
  output radio_TxEn;
  output radio_RxEn;
  output radio_RxHP;
  output radio_24PA;
  output radio_5PA;
  output radio_RX_ADC_DCS;
  output radio_RX_ADC_DFS;
  output radio_RX_ADC_PWDNA;
  output radio_RX_ADC_PWDNB;
  output radio_RSSI_ADC_CLAMP;
  output radio_RSSI_ADC_HIZ;
  output radio_RSSI_ADC_SLEEP;
  input radio_LD;
  input radio_RX_ADC_OTRA;
  input radio_RX_ADC_OTRB;
  input radio_RSSI_ADC_OTR;
  input radio_DAC_PLL_LOCK;
  output radio_DAC_RESET;
  input controller_spi_clk;
  input controller_spi_data;
  input controller_radio_cs;
  input controller_dac_cs;
  input controller_SHDN;
  input controller_TxEn;
  input controller_RxEn;
  input controller_RxHP;
  input controller_24PA;
  input controller_5PA;
  input [0:1] controller_ANTSW;
  input [0:2] controller_LED;
  input controller_RX_ADC_DCS;
  input controller_RX_ADC_DFS;
  input controller_RX_ADC_PWDNA;
  input controller_RX_ADC_PWDNB;
  input controller_RSSI_ADC_CLAMP;
  input controller_RSSI_ADC_HIZ;
  input controller_RSSI_ADC_SLEEP;
  output [0:3] controller_DIPSW;
  output [0:9] controller_RSSI_ADC_D;
  output controller_LD;
  output controller_RX_ADC_OTRA;
  output controller_RX_ADC_OTRB;
  output controller_RSSI_ADC_OTR;
  output controller_DAC_PLL_LOCK;
  input controller_DAC_RESET;
  input controller_TxStart;
  output dac_spi_data;
  output dac_spi_cs;
  output dac_spi_clk;
  output controller_SHDN_external;
  output controller_RxEn_external;
  output controller_TxEn_external;
  output controller_RxHP_external;

  radio_bridge
    radio_bridge_slot_1 (
      .user_ADC_I ( user_ADC_I ),
      .user_ADC_Q ( user_ADC_Q ),
      .user_DAC_I ( user_DAC_I ),
      .user_DAC_Q ( user_DAC_Q ),
      .user_RxRF_gain ( user_RxRF_gain ),
      .user_RxBB_gain ( user_RxBB_gain ),
      .user_Tx_gain ( user_Tx_gain ),
      .user_TxModelStart ( user_TxModelStart ),
      .user_RSSI_ADC_clk ( user_RSSI_ADC_clk ),
      .user_RSSI_ADC_D ( user_RSSI_ADC_D ),
      .user_EEPROM_IO_T ( user_EEPROM_IO_T ),
      .user_EEPROM_IO_O ( user_EEPROM_IO_O ),
      .user_EEPROM_IO_I ( user_EEPROM_IO_I ),
      .user_SHDN_external ( user_SHDN_external ),
      .user_RxEn_external ( user_RxEn_external ),
      .user_TxEn_external ( user_TxEn_external ),
      .user_RxHP_external ( user_RxHP_external ),
      .converter_clock_in ( converter_clock_in ),
      .converter_clock_out ( converter_clock_out ),
      .radio_RSSI_ADC_clk ( radio_RSSI_ADC_clk ),
      .radio_DAC_I ( radio_DAC_I ),
      .radio_DAC_Q ( radio_DAC_Q ),
      .radio_ADC_I ( radio_ADC_I ),
      .radio_ADC_Q ( radio_ADC_Q ),
      .radio_B ( radio_B ),
      .radio_ANTSW ( radio_ANTSW ),
      .radio_LED ( radio_LED ),
      .radio_DIPSW ( radio_DIPSW ),
      .radio_RSSI_ADC_D ( radio_RSSI_ADC_D ),
      .radio_EEPROM_IO ( radio_EEPROM_IO ),
      .radio_spi_clk ( radio_spi_clk ),
      .radio_spi_data ( radio_spi_data ),
      .radio_spi_cs ( radio_spi_cs ),
      .radio_SHDN ( radio_SHDN ),
      .radio_TxEn ( radio_TxEn ),
      .radio_RxEn ( radio_RxEn ),
      .radio_RxHP ( radio_RxHP ),
      .radio_24PA ( radio_24PA ),
      .radio_5PA ( radio_5PA ),
      .radio_RX_ADC_DCS ( radio_RX_ADC_DCS ),
      .radio_RX_ADC_DFS ( radio_RX_ADC_DFS ),
      .radio_RX_ADC_PWDNA ( radio_RX_ADC_PWDNA ),
      .radio_RX_ADC_PWDNB ( radio_RX_ADC_PWDNB ),
      .radio_RSSI_ADC_CLAMP ( radio_RSSI_ADC_CLAMP ),
      .radio_RSSI_ADC_HIZ ( radio_RSSI_ADC_HIZ ),
      .radio_RSSI_ADC_SLEEP ( radio_RSSI_ADC_SLEEP ),
      .radio_LD ( radio_LD ),
      .radio_RX_ADC_OTRA ( radio_RX_ADC_OTRA ),
      .radio_RX_ADC_OTRB ( radio_RX_ADC_OTRB ),
      .radio_RSSI_ADC_OTR ( radio_RSSI_ADC_OTR ),
      .radio_DAC_PLL_LOCK ( radio_DAC_PLL_LOCK ),
      .radio_DAC_RESET ( radio_DAC_RESET ),
      .controller_spi_clk ( controller_spi_clk ),
      .controller_spi_data ( controller_spi_data ),
      .controller_radio_cs ( controller_radio_cs ),
      .controller_dac_cs ( controller_dac_cs ),
      .controller_SHDN ( controller_SHDN ),
      .controller_TxEn ( controller_TxEn ),
      .controller_RxEn ( controller_RxEn ),
      .controller_RxHP ( controller_RxHP ),
      .controller_24PA ( controller_24PA ),
      .controller_5PA ( controller_5PA ),
      .controller_ANTSW ( controller_ANTSW ),
      .controller_LED ( controller_LED ),
      .controller_RX_ADC_DCS ( controller_RX_ADC_DCS ),
      .controller_RX_ADC_DFS ( controller_RX_ADC_DFS ),
      .controller_RX_ADC_PWDNA ( controller_RX_ADC_PWDNA ),
      .controller_RX_ADC_PWDNB ( controller_RX_ADC_PWDNB ),
      .controller_RSSI_ADC_CLAMP ( controller_RSSI_ADC_CLAMP ),
      .controller_RSSI_ADC_HIZ ( controller_RSSI_ADC_HIZ ),
      .controller_RSSI_ADC_SLEEP ( controller_RSSI_ADC_SLEEP ),
      .controller_DIPSW ( controller_DIPSW ),
      .controller_RSSI_ADC_D ( controller_RSSI_ADC_D ),
      .controller_LD ( controller_LD ),
      .controller_RX_ADC_OTRA ( controller_RX_ADC_OTRA ),
      .controller_RX_ADC_OTRB ( controller_RX_ADC_OTRB ),
      .controller_RSSI_ADC_OTR ( controller_RSSI_ADC_OTR ),
      .controller_DAC_PLL_LOCK ( controller_DAC_PLL_LOCK ),
      .controller_DAC_RESET ( controller_DAC_RESET ),
      .controller_TxStart ( controller_TxStart ),
      .dac_spi_data ( dac_spi_data ),
      .dac_spi_cs ( dac_spi_cs ),
      .dac_spi_clk ( dac_spi_clk ),
      .controller_SHDN_external ( controller_SHDN_external ),
      .controller_RxEn_external ( controller_RxEn_external ),
      .controller_TxEn_external ( controller_TxEn_external ),
      .controller_RxHP_external ( controller_RxHP_external )
    );

endmodule

// synthesis attribute x_core_info of radio_bridge_slot_1_wrapper is radio_bridge_v1_08_a;

